#pragma once
#include <glm/glm.hpp>
#include <stdio.h>

	class Box
	{

	public:

		glm::vec3 corner;
		float x, y, z;

		Box::Box(glm::vec3 &corner, float x, float y, float z);
		Box::Box(void);
		Box::~Box();

		void Box::setBox(glm::vec3 &corner, float x, float y, float z);

		// for use in frustum computations
		glm::vec3 Box::getVertexP(glm::vec3 &normal);
		glm::vec3 Box::getVertexN(glm::vec3 &normal);
	};

